VSTGUI: WindowStyle Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WindowStyle Struct Reference
Standalone Library

Window style. More...

`#include <iwindow.h>`

## Public Member Functions
| WindowStyle ()=default
WindowStyle & | operator+= (WindowStyle toAdd)
WindowStyle & | operator-= (WindowStyle toRemove)
WindowStyle & | border ()
WindowStyle & | close ()
WindowStyle & | size ()
WindowStyle & | transparent ()
WindowStyle & | movableByWindowBackground ()
WindowStyle & | centered ()
bool | hasBorder () const
bool | canClose () const
bool | canSize () const
bool | isTransparent () const
bool | isMovableByWindowBackground () const
bool | isCentered () const

## Detailed Description

Window style.

Defines window style and behaviour.

Border: Adds border and title bar. If transparent is set, this is ignored.

Close: Adds a closebox if bordered and allows standard ways of closing the window.

Size: Allows user resizing.

Transparent: Window has no background and no operating system style window frame.

MovableByWindowBackground: User can move the window by its background.

Centered: Window will initially shown centered on screen.

## Constructor & Destructor Documentation

## ◆ WindowStyle()

WindowStyle | ( |  | ) |
| default

## Member Function Documentation

## ◆ border()

WindowStyle & border | ( |  | ) |
| inline

## ◆ canClose()

bool canClose | ( |  | ) | const
| inline

## ◆ canSize()

bool canSize | ( |  | ) | const
| inline

## ◆ centered()

WindowStyle & centered | ( |  | ) |
| inline

## ◆ close()

WindowStyle & close | ( |  | ) |
| inline

## ◆ hasBorder()

bool hasBorder | ( |  | ) | const
| inline

## ◆ isCentered()

bool isCentered | ( |  | ) | const
| inline

## ◆ isMovableByWindowBackground()

bool isMovableByWindowBackground | ( |  | ) | const
| inline

## ◆ isTransparent()

bool isTransparent | ( |  | ) | const
| inline

## ◆ movableByWindowBackground()

WindowStyle & movableByWindowBackground | ( |  | ) |
| inline

## ◆ operator+=()

WindowStyle & operator+= | ( | WindowStyle | toAdd | ) |
| inline

## ◆ operator-=()

WindowStyle & operator-= | ( | WindowStyle | toRemove | ) |
| inline

## ◆ size()

WindowStyle & size | ( |  | ) |
| inline

## ◆ transparent()

WindowStyle & transparent | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- iwindow.h